%define	name		fltk
%define	lib_name	lib%{name}
%define	version		1.1.4
%define	release		2mdk
%define	real_version	%{version}
%define	lib_major	1.1
%define	libname		%mklibname %{name} %lib_major

Summary:	Fast Light Tool Kit (FLTK)
Name:		fltk
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	LGPL
Source:		ftp://ftp.easysw.com/pub/fltk/1.1.4/%{name}-%{real_version}-source.tar.bz2
Patch0:		fltk-1.1.4-lib64.patch.bz2

URL:		http://www.fltk.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	Mesa-common-devel XFree86-devel jpeg-devel png-devel

%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

%package -n	%{libname}
Summary:	Fast Light Tool Kit (FLTK) - main library
Group:		System/Libraries
Obsoletes:	%{name} < %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

%package -n	%{libname}-devel
Summary:	Fast Light Too Kit (FLTK) - development environment
Group:		Development/C
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel < %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}, %{lib_name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

Install libfltk1-devel if you need to develop FLTK applications.  You'll
need to install the fltk package if you plan to run dynamically linked
applications.

%prep
%setup -q -n %{name}-%{real_version}
%patch0 -p1 -b .lib64

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{_prefix} --libdir=%{_libdir} --enable-shared
# need to pass CXX=... here else it is always gcc instead of g++ (fpons)
%make CXX="g++"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mv ${RPM_BUILD_ROOT}%{_datadir}/doc/%{name} \
	$RPM_BUILD_ROOT%{_datadir}/doc/%{libname}-devel-%{version}
rm -rf ${RPM_BUILD_ROOT}%{_mandir}/cat*

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc README COPYING CHANGES 
%{_libdir}/libfltk*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%docdir %{_datadir}/doc/%{libname}-devel-%{version} 
%{_datadir}/doc/%{libname}-devel-%{version}
%{_includedir}/F?
%{_bindir}/*
%{_libdir}/libfltk*.so
%{_libdir}/libfltk*.a
%doc %{_mandir}/man1/* 
%doc %{_mandir}/man3/* 

%changelog
* Tue Jan 27 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.4-2mdk
- fix unpackaged files
- fix {build,}requires
- cosmetics

* Wed Oct  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.4-1mdk
- 1.1, more lib64 fixes

* Sun Jul 27 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.4-0.rc1.1mdk
- Updated to version 1.1.4rc1.

* Thu Apr 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.2-2mdk
- mklibname macro
- fix buildrequires and requires of the devel package

* Thu Dec  5 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.2-1mdk
- Updated to version 1.1.2
- Moved man pages to fltk-devel (they have only to do with development
  or with programs of fltk-devel).

* Fri Nov 22 2002 Erwan Velu <erwan@mandrakesoft.com> 1.1.1-1mdk
- Bump
- Adding missing files

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.0-0.rc2.4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.0-0.rc2.3mdk
- Rpmlint fixes: configure-without-libdir-spec
- Patch0: Don't assume libdir is /usr/lib when $(RANLIB)'ing

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.0-0.rc2.2mdk
- Automated rebuild with gcc3.2

* Tue May 28 2002 Franois Pons <fpons@mandrakesoft.com> 1.1.0-0.rc2.1mdk
- 1.1.0rc2.

* Thu May 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-0.beta5.2mdk
- rebuild

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.1.0-0.beta5.1mdk
- 1.1.0b5.

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.11-2mdk
- BuildRequires: XFree86-devel

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 1.0.11-1mdk
- 1.0.11.

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.10-2mdk
- BuildRequires: Mesa-common-devel

* Sat Dec 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.10-1mdk
- new and shiny source.

* Tue Dec 05 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.9-5mdk
- keep ftlk source name.

* Tue Dec 05 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.9-4mdk
- changed name.

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.9-3mdk
- added missing requires on fltk-devel.

* Wed Aug 30 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.9-2mdk
- macroszifications.
- rename standard doc dir of devel package according the BM.

* Thu Jul 06 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.9-1mdk
- 1.0.9.
- merged some of fltk.spec provided by package.
- patch makefile to allow passing variable to make.
- fix install stage (build as normal user).

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-3mdk
- fix group
- fix permission on sources

* Thu Mar 02 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fix the location of files

* Wed Jan 19 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v 1.0.7

* Mon Jan 10 2000 Sean P. Kane <spkane@home.com>
- Added ChangeLog
- Upgraded to version 1.07

